Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.util
Class GenericResponse

    java.lang.Object
      org.objectstyle.cayenne.util.GenericResponse

All Implemented Interfaces:
  java.io.Serializable, QueryResponse

    public class GenericResponse

extends java.lang.Object
implements QueryResponse, java.io.Serializable

A simple serializable implementation of QueryResponse.

Since:
  1.2
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected int` | `currentIndex`
`protected java.util.List` | `results`

Constructor Summary
`GenericResponse()` Creates an empty BaseResponse.
`GenericResponse(java.util.List list)` Creates a BaseResponse with a single result list.
`GenericResponse(QueryResponse response)` Creates a response that it a shallow copy of another response.

Method Summary
`void` | `addBatchUpdateCount(int[] resultCount)`
`void` | `addResultList(java.util.List list)`
`void` | `addUpdateCount(int resultCount)`
`void` | `clear()` Clears any previously collected information.
`java.util.List` | `currentList()` Returns a List under the current iterator position.
`int[]` | `currentUpdateCount()` Returns an update count under the current iterator position.
`java.util.List` | `firstList()` A utility method for quickly retrieving the first list in the response.
`int[]` | `firstUpdateCount()` A utility method for quickly retrieving the first update count from the response.
`boolean` | `isList()` Returns whether current iteration result is a list or an update count.
`boolean` | `next()` Rewinds response iterator to the next result, returning true if it is available.
`void` | `replaceResult(java.lang.Object oldResult, java.lang.Object newResult)` Replaces previously stored result with a new result.
`void` | `reset()` Restarts response iterator.
`int` | `size()` Returns a number of results in the response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### results

    protected java.util.List results

### currentIndex

    protected transient int currentIndex

Constructor Detail

### GenericResponse

    public GenericResponse()

  Creates an empty BaseResponse.

### GenericResponse

    public GenericResponse(java.util.List list)

  Creates a BaseResponse with a single result list.

### GenericResponse

    public GenericResponse(QueryResponse response)

  Creates a response that it a shallow copy of another response.

Method Detail

### firstList

    public java.util.List firstList()

  Description copied from interface: `QueryResponse`
  A utility method for quickly retrieving the first list in the response. Note that this method resets current iterator to an undefined state.

  Specified by:
    `firstList` in interface `QueryResponse`

### firstUpdateCount

    public int[] firstUpdateCount()

  Description copied from interface: `QueryResponse`
  A utility method for quickly retrieving the first update count from the response. Note that this method resets current iterator to an undefined state.

  Specified by:
    `firstUpdateCount` in interface `QueryResponse`

### currentList

    public java.util.List currentList()

  Description copied from interface: `QueryResponse`
  Returns a List under the current iterator position. Use `QueryResponse.isList()` to check the result type before calling this method.

  Specified by:
    `currentList` in interface `QueryResponse`

### currentUpdateCount

    public int[] currentUpdateCount()

  Description copied from interface: `QueryResponse`
  Returns an update count under the current iterator position. Returned value is an int[] to accomodate batch queries. For a regular update result, the value will be an int[1]. Use `QueryResponse.isList()` to check the result type before calling this method.

  Specified by:
    `currentUpdateCount` in interface `QueryResponse`

### isList

    public boolean isList()

  Description copied from interface: `QueryResponse`
  Returns whether current iteration result is a list or an update count.

  Specified by:
    `isList` in interface `QueryResponse`

### next

    public boolean next()

  Description copied from interface: `QueryResponse`
  Rewinds response iterator to the next result, returning true if it is available.

  Specified by:
    `next` in interface `QueryResponse`

### reset

    public void reset()

  Description copied from interface: `QueryResponse`
  Restarts response iterator.

  Specified by:
    `reset` in interface `QueryResponse`

### size

    public int size()

  Description copied from interface: `QueryResponse`
  Returns a number of results in the response.

  Specified by:
    `size` in interface `QueryResponse`

### clear

    public void clear()

  Clears any previously collected information.

### addBatchUpdateCount

    public void addBatchUpdateCount(int[] resultCount)

### addUpdateCount

    public void addUpdateCount(int resultCount)

### addResultList

    public void addResultList(java.util.List list)

### replaceResult

    public void replaceResult(java.lang.Object oldResult,
                              java.lang.Object newResult)

  Replaces previously stored result with a new result.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.